std::runtime_error Class Reference
Diagnostics » Exceptions

`#include <stdexcept>`

Inheritance diagram for std::runtime_error:
[legend]

## Public Member Functions

| runtime_error (const char *)
| runtime_error (const runtime_error &) noexcept
| runtime_error (const string &__arg)
| runtime_error (runtime_error &&) noexcept
runtime_error & | operator= (const runtime_error &) noexcept
runtime_error & | operator= (runtime_error &&) noexcept
virtual const char * | what () const noexcept

## Detailed Description

One of two subclasses of exception.

Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 219 of file stdexcept.

## Constructor & Destructor Documentation

## runtime_error()

std::runtime_error::runtime_error | ( | const string & | __arg | ) |

explicit

Takes a character string describing the error.

References runtime_error().

Referenced by runtime_error().

## Member Function Documentation

## what()

virtual const char * std::runtime_error::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::experimental::filesystem::v1::filesystem_error, and std::filesystem::filesystem_error.

References what().

Referenced by what().

The documentation for this class was generated from the following file:

- stdexcept